%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Monetary and Fiscal Policy when People have Finite Lives
% Roger E. A. Farmer and Pawel Zabczyk: August 2023
% Code to Construct Table 2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear
clc
modelType = 'GuvenenProduction';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Get preference parameters for baseline parameterization
[T,ET,TH,om,B,D,DEF,a,b] = pickParams(modelType);

om = om';
B = B';
N = 2*T-1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
plotyes = 0;        % Set to 1 to plot graph of excess demand function
tableyes = 1;       % Set to 1 to produce tabluted output
n=8;m=5;
B = linspace(0.986,1,n);
ET = linspace(.01,0.17,m);





for i = 1:n
    for j = 1:m
    disp('//////////////////////////////////////////////////////////////')
    disp([ 'Time Preference = ' num2str(B(i),4) ', IES = ' num2str(ET(j),2)])
    disp('//////////////////////////////////////////////////////////////')
    
    Out = findSteady(T,ET(j),TH,om,(B(i).^(0:T-1))',D,DEF,a,b,plotyes,tableyes);
    disp(['Degree of Indeterminacy' newline num2str(Out.IndetNum',3)])
    disp(['*************************************************************)' newline ])
    
    end
    input('Press Return to Continue')
    clc
end